tonetool(1)

NAME
tonetool - create and manipulate telephony tones.

SYNOPSIS
tonetool -append [-offset=pos] [-level=level] target tonespec...
tonetool -create [-encoding=codec] [-level=level] target tonespec...
tonetool -detect input files...
tonetool -list [-file=config] [-locale=where] tone
tonetool -play [-level=level] tonespec...

DESCRIPTION
Teltones is used to generate or play audio telephony tones based on a "spec". The spec can be "dtmf digitstring" to create or play dtmf digits, "mf digitstring" to create or play mf digits, "single ...", to create or play a single tone, or "dual ..." to create or play a dual tone. Teltones can also be used to detect dtmf digits contained in audio files.

-append
    Appends the generated tone to the end of an existing audio file.

-create
    Create a new audio file from scratch and fill with the tone specified.

-detect
    Process an existing audio file and report on dtmf digits found.

-list
    List a tone entry definition by sequencing. -play Generate a tone or dialing string and play it to the local soundcard.

BUGS
At this time tonetool always assumes all data is sourced at 8khz and does not support sample rate conversion.

AUTHOR
Written by David Sugar.

REPORTING BUGS
Report bugs to <dyfet@gnu.org>.

COPYRIGHT
Copyright © 2005 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.